package hmartin.socketService.controller.commands
{
	import hmartin.socketService.model.vos.ConnectionStatus;
	import hmartin.socketService.model.vos.IConnectableDevice;
	import hmartin.socketService.service.notifications.NotifyDeviceConnectionStatusUpdated;

	public class UpdateDeviceConnectionStatusCommand
	{
		
		[Inject] public var notifyDeviceConnectionStatusUpdated:NotifyDeviceConnectionStatusUpdated;
		
		public function execute(device:IConnectableDevice,status:ConnectionStatus):void{
			device.connectionStatus = status;
			notifyDeviceConnectionStatusUpdated.dispatch(device);
		}
	}
}